Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO::NamedValue_Argument Class Reference

Class for the return value of a CORBA::(Server)Request. More...

`#include <DII_Arguments.h>`

Inheritance diagram for TAO::NamedValue_Argument:

[legend]
Collaboration diagram for TAO::NamedValue_Argument:

[legend]
List of all members.

## Public Methods
| NamedValue_Argument (CORBA::NamedValue_ptr)
virtual CORBA::Boolean | demarshal (TAO_InputCDR &)
virtual void | interceptor_result (CORBA::Any *)
int | byte_order (void) const
## Private Attributes
CORBA::NamedValue_ptr | x_
int | byte_order_
| Byte order that the Request class will use.

## Detailed Description

Class for the return value of a CORBA::(Server)Request.

## Constructor & Destructor Documentation

ACE_INLINE TAO::NamedValue_Argument::NamedValue_Argument | ( | CORBA::NamedValue_ptr |  | ) |

## Member Function Documentation

ACE_INLINE int TAO::NamedValue_Argument::byte_order | ( | void |  | ) | const

CORBA::Boolean TAO::NamedValue_Argument::demarshal | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

void TAO::NamedValue_Argument::interceptor_result | ( | CORBA::Any * |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

int TAO::NamedValue_Argument::byte_order_`[private]`

| Byte order that the Request class will use.

CORBA::NamedValue_ptr TAO::NamedValue_Argument::x_`[private]`

The documentation for this class was generated from the following files:

- DII_Arguments.h
- DII_Arguments.cpp
- DII_Arguments.inl